import threading
from urllib.request import urlopen, Request

HEADERS = {'User-Agent': "Mozilla/5.0 Gecko Firefox"}


class Example:

    def __init__(self):
        self.total = 0

    def _download(self, url):
        u = urlopen(Request(url, headers=HEADERS))
        length = len(u.read())
        self.total += length

    def go(self):
        threads = []
        for i in ['b', 'f', 'm']:
            url = "http://taniquetil.com.ar/{}.png".format(i)
            th = threading.Thread(target=self._download, args=(url,))
            th.start()
            threads.append(th)
        for th in threads:
            th.join()


e = Example()
e.go()
print("Done:", e.total)
